## PkMessage PkMessage — Message object |

## Synopsis

                        PkMessagePrivate;
                        PkMessage;
    PkMessage *         pk_message_new                      (void);

## Object Hierarchy

      GObject
       +----PkMessage

## Properties

      "details"                  gchar*                : Read / Write
      "type"                     guint                 : Read / Write

## Description

This GObject represents a message from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### PkMessagePrivate

    typedef struct _PkMessagePrivate PkMessagePrivate;

Private PkMessage data

### PkMessage

    typedef struct _PkMessage PkMessage;

### pk_message_new ()

    PkMessage *         pk_message_new                      (void);

Returns : | a new PkMessage object.

## Property Details

### The `"details"` property

      "details"                  gchar*                : Read / Write

Default value: NULL

### The `"type"` property

      "type"                     guint                 : Read / Write

Default value: 0